Bug 1303138 - [FF45] Shared System Certificates not honored
[FF45] Shared System Certificates not honored
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firefox (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Stransky
Desktop QE
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 11:22 EST by David Jaša
Modified: 2016-06-06 09:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-06 09:40:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2016-01-29 11:22:11 EST
Description of problem:
RHEL 7 contains Shared System Certificates from the very start and Firefox up to 38 took CAs from there as trusted. FF45 no longer trusts these CAs

Version-Release number of selected component (if applicable):
firefox-45.0-0.3.el7_2.x86_64

How reproducible:
always

Steps to Reproduce:
1.
wget -P /etc/pki/ca-trust/source/anchors \
    https://password.corp.redhat.com/cacert.crt \
    https://password.corp.redhat.com/RH-IT-Root-CA.crt
update-ca-trust
2. restart firefox, go to https://errata.devel.redhat.com/

Actual results:
errata.devel.redhat.com not trusted

Expected results:
errata.devel.redhat.com is trusted

Additional info:
this worked like charm in ESR 38 -> Regression
Comment 2 Martin Stransky 2016-02-01 07:08:35 EST
The available 45 builds uses Mozilla in-tree NSS which miss Red Hat special config. We need to retest when system nss is enabled.
Comment 3 Martin Stransky 2016-05-12 06:04:27 EDT
Can you please test with latest FF for RHEL?
Comment 4 David Jaša 2016-06-06 09:40:30 EDT
Sorry for delay. This is fixed for quite some time already.

Note You need to log in before you can comment on or make changes to this bug.